DROP PROCEDURE Tmp_Op_HistransFuelInsProc
GO
CREATE PROCEDURE Tmp_Op_HistransFuelInsProc
(
	@CORRNBR        int,
	@NUMERO		CHAR(4),
	@SOLES		CHAR(6),
	@PRODUCTO	CHAR(2),
	@PRECIO		CHAR(4),
	@GALONES	CHAR(8),
	@CARA		CHAR(2),
	@FECHA		CHAR(6),
	@HORA		CHAR(4),
	@ESTADO		CHAR(10),
	@DOCUMENTO	CHAR(10),
	@DATEPROCE	UD_FECHA

)
AS
BEGIN
    BEGIN TRAN

          INSERT INTO Tmp_Op_Histransfuel(CORRNBR,NUMERO,SOLES,PRODUCTO,PRECIO,GALONES,CARA,FECHA,HORA,ESTADO,DOCUMENTO,DATEPROCE)
          VALUES(@CORRNBR,@NUMERO,@SOLES,@PRODUCTO,@PRECIO,@GALONES,@CARA,@FECHA,@HORA,@ESTADO,@DOCUMENTO,@DATEPROCE)

    IF (@@error!=0)
    BEGIN
        RAISERROR  20000 'Error insertando en TMP_OP_HISTRANSFUEL'
        ROLLBACK TRAN
        RETURN(1)
    
    END

    COMMIT TRAN

END

